> For the complete documentation index, see [llms.txt](https://docs.dapplooker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dapplooker.com/products/api-endpoints/core-data-apis/token-directory.md).

# Token Directory

Large movement alerts across chains and venues.

## Endpoint

```
GET https://api.dapplooker.com/v1/token-directory
```

***

## Query Parameters

| Parameter        | Type   | Required | Description                                           |
| ---------------- | ------ | -------- | ----------------------------------------------------- |
| chain            | string | No       | Filter by blockchain network (`base`, `solana`, etc.) |
| ecosystem        | string | No       | Filter by ecosystem (e.g. `virtuals`)                 |
| token\_addresses | string | No       | Comma-separated token contract addresses              |
| page             | number | No       | Pagination page                                       |
| api\_key         | string | No       | API key if not using x402                             |

Use chain or ecosystem filters for efficient discovery.

***

## Example Requests

```bash
# Browse Base ecosystem tokens
curl --location 'https://api.dapplooker.com/v1/token-directory?api_key=<API_KEY>&chain=base&page=1'

# Browse Base + Virtuals ecosystem
curl --location 'https://api.dapplooker.com/v1/token-directory?api_key=<API_KEY>&chain=base&ecosystem=virtuals&page=1'

# Lookup specific Solana tokens
curl --location 'https://api.dapplooker.com/v1/token-directory?api_key=<API_KEY>&chain=solana&token_addresses=FVdo7CDJarhYoH6McyTFqx71EtzCPViinvdd1v86Qmy5,2w3A2P5juwg234spHKfps7WReWoVmujtErqjaZm9VaiP&page=1'
```

***

## Example Response

```json
{
  "success": true,
  "data": [
    {
      "id": "aimonica-brands",
      "symbol": "AIMONICA",
      "name": "Aimonica Brands",
      "address": "FVdo7CDJarhYoH6McyTFqx71EtzCPViinvdd1v86Qmy5",
      "chain": "solana",
      "ecosystem": "solana"
    },
    {
      "id": "aipump",
      "symbol": "AIPUMP",
      "name": "aiPump",
      "address": "2w3A2P5juwg234spHKfps7WReWoVmujtErqjaZm9VaiP",
      "chain": "solana",
      "ecosystem": "solana"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "pageSize": 100,
      "pageCount": 12,
      "total": 1184
    }
  }
}
```

***

## Response Schema

### Token Identity Fields

| Field     | Type   | Description               |
| --------- | ------ | ------------------------- |
| id        | string | Internal token identifier |
| symbol    | string | Token ticker              |
| name      | string | Full token name           |
| address   | string | Contract or mint address  |
| chain     | string | Blockchain network        |
| ecosystem | string | Ecosystem classification  |

***

### Pagination Fields

| Field     | Type   | Description          |
| --------- | ------ | -------------------- |
| page      | number | Current page         |
| pageSize  | number | Items per page       |
| pageCount | number | Total pages          |
| total     | number | Total indexed tokens |
